# Kawaii Monitor 🌸

Welcome to **Kawaii Monitor** – the adorable system monitor that makes keeping an eye on your computer’s stats as delightful as possible! With plenty of cute emojis and a playful design, monitoring your CPU, memory, storage, network, battery, and processes has never been so fun!

---

## Overview ✨

**Kawaii Monitor** is a terminal-based system monitor that:
- **Displays CPU Info** 💻: Shows CPU usage with sparkly heart icons.
- **Shows Memory Stats** 📦: Visualizes RAM and swap usage with dreamy emojis.
- **Lists Disk Info** 💾: Presents your storage devices in a fun, graphical way.
- **Monitors Network Speed** 🌐: Tracks upload and download speeds in real time.
- **Checks Battery Levels** 🔋: (If available) Displays battery status in a cute format.
- **Highlights Top Processes** 🌟: Lists the busiest processes with extra charm.

All these features come together in a real-time, refreshing display that brings a touch of kawaii magic to your terminal!

---

## Features 🍭

- **Adorable Design:** Every stat is decorated with cute emojis and charming text.
- **Real-Time Updates:** Refreshes every second for live system monitoring.
- **Cross-Platform:** Works on Linux, macOS, and Windows (in a terminal that supports curses).
- **Detailed System Stats:** From CPU and memory to disks, network, battery, and processes—all in one place!

---

## Installation 🎀

You can install **Kawaii Monitor** directly from PyPI with pip:

```bash
pip install kawaii-monitor
```
Then, run it directly using:
```bash
kawaii-monitor
```

![Kawaii Monitor Screenshot](https://github.com/fearyan/kawaii-monitor/blob/main/screenshot.png?raw=true)

